Loading...
Searching...
No Matches
mbedtls_lms_parameters_t Struct Reference

`#include <lms.h>`

## Data Fields

unsigned char | private_I_key_identifier [MBEDTLS_LMOTS_I_KEY_ID_LEN]
mbedtls_lmots_algorithm_type_t | private_otstype
mbedtls_lms_algorithm_type_t | private_type

## Detailed Description

LMS parameters structure.

This contains the metadata associated with an LMS key, detailing the algorithm type, the type of the underlying OTS algorithm, and the key ID.

Definition at line 161 of file lms.h.

## Field Documentation

## private_I_key_identifier

unsigned char mbedtls_lms_parameters_t::private_I_key_identifier[MBEDTLS_LMOTS_I_KEY_ID_LEN]

The key identifier.

Definition at line 162 of file lms.h.

## private_otstype

mbedtls_lmots_algorithm_type_t mbedtls_lms_parameters_t::private_otstype

The LM-OTS key type identifier as per IANA. Only SHA256_N32_W8 is currently supported.

Definition at line 164 of file lms.h.

## private_type

mbedtls_lms_algorithm_type_t mbedtls_lms_parameters_t::private_type

The LMS key type identifier as per IANA. Only SHA256_M32_H10 is currently supported.

Definition at line 167 of file lms.h.

The documentation for this struct was generated from the following file:

- lms.h